#ifndef RECORDEDITFORM_H
#define RECORDEDITFORM_H

#include <QWidget>
#include <QDataWidgetMapper>

namespace Ui {
class RecordEditForm;
}

//Класс формы редактирования строки
class RecordEditForm : public QWidget
{
  Q_OBJECT

public:
  explicit RecordEditForm(QWidget *parent = 0);
  ~RecordEditForm();
  //Назначение связываемой модели
  void setModel(QAbstractItemModel* model);
  //Объект связывания полей модели с виджетами
  QDataWidgetMapper* mapper;
private slots:
  //Слот реакции на нажатие кнопки Apply (применить)
  void on_btnApply_clicked();
  //Слот реакции на нажатие кнопки Close (закрыть)
  void on_btnClose_clicked();

private:
  Ui::RecordEditForm *ui;

};

#endif // RECORDEDITFORM_H
